Subject: Re: FVWM: Re: DynamicPopupAction

From: Dominik Vogt <[email-masked]>
Date: Tue, 2 Nov 1999 12:40:07 +0100

On Sun, Oct 24, 1999 at 04:14:50AM -0600, [email-masked] wrote:
> >> Well as soon as I saw the recreate I said to myself doh.  Seems to
> make
> >> sense, but sounds kinda kludgy to me so I'll go with my original idea
> to
> >> read them all if you popup the Headlines menu maybe via a function.
> 
> >         Well, I haven't looked at the code, so I can't comment on how
> kludgy it
> > may be, but I don't see what the problem is with having an option on
> the
> > DestroyMenu command that effectively says "destroy only the menu
> items,
> > but retain the menu attributes". And (assuming that it works properly)
> I
> > can't see anything much easier than changing the script that creates
> the
> > freshmeatmenu, etc., files to insert the line "DestroyMenu Recreate
> > Freshmeat" instead of simply "DestroyMenu Freshmeat".
> 
> Well the problem seems to be that a recreate doesn't do the add the
> DynamicPopupAction back into the menu, I've also not looked at the code
> but what I think that the recreate option does is saves you from having
> to use an addtomenu to make it again, but I could be wrong.  So as a
> result we're back to the same thing again.  I suppose kludgy might be
> the wrong word to use, how about cluttered?  So if recreate doesn't
> recreate the menu with it's previous options such as DynamicPopupAction
> as "I" think your saying it does or think is does,

It *does*.  If it didn't it would be completely useless.  The man page
says:

  The optional parameter \fIrecreate\fP tells fvwm not to throw away
  the menu completely but to throw away all the menu items (including
  the title).

I hope it's clear that the 'Dynamic...Action' is *not* a menu item
since it doesn't appear in the menu.

Bye

Dominik ^_^

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].